
Pre-Development - Feature #18611

Alert Messaging > Message Template

24 October 2023 09:03 PM - David Wong

Status: Resolved Start date: 30 October 2023

Priority: Normal Due date: 01 November 2023

Assignee: Farid Nazmi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

GIT Repo: http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-am.git

Microservice: bd_am

Reference UI:

Login into: https://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm (sysuser/abc123)

And then go to Sub System > Alert Messaging > Message Template

Package name = com.silverlake.ifb.am.msgTemplate

Bean prefix = MsgTemplate

Service prefix = MsgTemplate

DAO prefix = MsgTemplate

WS prefix = MsgTemplate

Subtasks:

Feature # 18687: Alert Messaging > Message Template > Template Type Resolved

History

#1 - 26 October 2023 04:43 PM - Farid Nazmi

- Status changed from New to In Progress

#2 - 27 October 2023 10:27 AM - Farid Nazmi

- % Done changed from 0 to 20

Already finish created the dto proceed with repository

#3 - 27 October 2023 03:35 PM - Farid Nazmi

- % Done changed from 20 to 40

done the repository part proceed with MsgTemplateService

#4 - 27 October 2023 07:58 PM - Farid Nazmi

- % Done changed from 40 to 60

done MsgTemplateService

#5 - 30 October 2023 10:41 AM - Farid Nazmi

- % Done changed from 60 to 80

done webservice part , will proceed with testing for search (action & form) and view action ws and waiting for Mr David to prepare requirement for the

api select that are using ajax

20 April 2025 1/2

http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-am.git
https://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm


#6 - 30 October 2023 11:01 AM - David Wong

Create 1 web service method for loading Template Type Parameter when user select one Template Type

This WS method's function code follow the same 'viewAction' function code.

#7 - 30 October 2023 11:08 AM - David Wong

Unable to change due date value.

New due date is 2023-11-03

#8 - 30 October 2023 11:49 AM - David Wong

- Tracker changed from Bug to Feature

#9 - 30 October 2023 05:46 PM - Farid Nazmi

100 % for the message template api already included web services for create form (button) and create Action now will proceed with the template type

api

#10 - 08 November 2023 09:19 AM - Farid Nazmi

- Status changed from In Progress to Resolved

- Assignee changed from Farid Nazmi to David Wong

#11 - 01 December 2023 03:59 PM - Low Dylan

- Status changed from Resolved to Feedback

- Assignee changed from David Wong to chok yee fan

Please integrate.

#12 - 01 December 2023 04:29 PM - chok yee fan

- Assignee changed from chok yee fan to Low Dylan

could ask back Farid, cause duplicate redmine https://dev.silverlakemobility.com/redmine/issues/18687

#13 - 01 December 2023 04:30 PM - Low Dylan

- Status changed from Feedback to Resolved

- Assignee changed from Low Dylan to David Wong

#14 - 21 February 2024 02:05 PM - chok yee fan

- Assignee changed from David Wong to Zaid Haritsah

#15 - 28 February 2024 05:21 PM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Farid Nazmi
